import { OnDestroy, ElementRef, Renderer2, NgZone } from '@angular/core';
import { IgxColumnComponent } from '../columns/column.component';
import { IgxColumnMovingService } from './moving.service';
import { IgxDropDirective } from '../../directives/drag-drop/drag-drop.directive';
import { IgxForOfDirective, IgxGridForOfDirective } from '../../directives/for-of/for_of.directive';
import { IgxGridHeaderGroupComponent } from '../headers/grid-header-group.component';
export declare class IgxColumnMovingDropDirective extends IgxDropDirective implements OnDestroy {
    private ref;
    private renderer;
    private _;
    private cms;
    set data(val: IgxColumnComponent | IgxForOfDirective<IgxGridHeaderGroupComponent>);
    get column(): IgxColumnComponent;
    get isDropTarget(): boolean;
    get horizontalScroll(): IgxGridForOfDirective<IgxGridHeaderGroupComponent>;
    get nativeElement(): HTMLElement;
    private _dropPos;
    private _dropIndicator;
    private _lastDropIndicator;
    private _column;
    private _displayContainer;
    private _dragLeave;
    private _dropIndicatorClass;
    constructor(ref: ElementRef<HTMLElement>, renderer: Renderer2, _: NgZone, cms: IgxColumnMovingService);
    ngOnDestroy(): void;
    onDragOver(event: any): void;
    onDragEnter(event: any): void;
    onDragLeave(event: any): void;
    onDragDrop(event: any): void;
}
